// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    ext.hilt_version = '2.40.1'

    repositories {
        google()
        jcenter()
        mavenCentral()
        maven { url 'https://jitpack.io' }
        maven { url "https://jcenter.bintray.com"}
        maven { url = uri("https://maven.scijava.org/content/repositories/public/") }
        maven {
            url 'https://oss.sonatype.org/content/repositories/snapshots/'
        }
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:8.1.4'
        classpath "io.realm:realm-gradle-plugin:10.15.1"
        classpath 'com.google.gms:google-services:4.3.15'
    }
}


plugins {
    id 'com.android.application' version '8.0.0' apply false
    id 'com.android.library' version '8.0.0' apply false
    id 'org.jetbrains.kotlin.android' version '2.0.0' apply false
    id "org.jetbrains.kotlin.kapt" version "1.8.0" apply false

}



task clean(type: Delete) {
    delete rootProject.buildDir
}
